/**
 * @description: web页面全局配置文件
 * @author:
 */

export default {
  // 工作流-流程设计器地址
  // flowDesignUrl: 'https://newgxcx.e-bidding.org:9999',
  flowDesignUrl: window.location.hostname + '/bidprocurement/commoncloud-workclowdesign',
  // 流程设计器前端
  flowDesignUrlStatic: window.location.hostname + '/new_web/workclowdesign',
  // 报表-设计器地址
  reportUrl: 'http://172.16.200.104:9997/ureport',
  // reportUrl: window.location.hostname + ':9997/ureport',
  // RSA非对称加密 公钥
  publicKey: 'MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCijtQyhbTsCQOVoL0aoUD8auhEKiH1XHdu4XWc0AYMs7FddERKxVozglLBQdGdEmYMeYTPoNPulkjTA/fC7K60AVHGDqY6SoBrdBruyvXlDjsurqi9A0r5wjIuzdoaxxFEvhtwQ45JtPH1bf4USly3iFGqPfapcS4R2vTlQAfsLwIDAQAB',
  // 第三方登陆地址配置
  loginUrl,
  // 第三方首页地址配置
  homePage
}
/*
 * 第三方登陆地址配置
 * roleCode 当前登陆的用户角色
*/
function loginUrl(roleCode) {
  const data = {
    '12': '' // 供应商
  }
  if (data[roleCode]) {
    return data[roleCode]
  } else {
    return ''
  }
}
/*
 * 返回首页
*/
function homePage(code) {
  const data = {
    // 门户首页地址
    portalUrl: '',
    // 首页地址ya
    homeUrl: ''
  }
  if (data[code]) {
    window.location.href = data[code]
  }
}
